/*
 *  Simple test program -- show a GSL example working.
 *
 *  $Id: test.c,v 1.1.1.1 2009/08/06 20:25:58 joel Exp $
 */

#include <bsp.h>
#include <stdlib.h>
#include <stdio.h>

int main(int, char **);

rtems_task Init(
  rtems_task_argument ignored
)
{
  printf( "\n\n*** GSL ODE_TEST EXAMPLE ***\n" );
  main( 0, NULL );
  printf( "*** END OF GSL ODE_TEST EXAMPLE ***\n" );
  exit( 0 );
}

/* configuration information */

/* NOTICE: the clock driver is explicitly disabled */
#define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER

#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
#define CONFIGURE_INIT_TASK_ATTRIBUTES    RTEMS_FLOATING_POINT
#define CONFIGURE_MAXIMUM_TASKS 1

#define CONFIGURE_INIT
#include <rtems/confdefs.h>
/* end of file */
